This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 432304 - Problem with scripts when upgrading
Problem with scripts when upgrading
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: im-chooser (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 23:48 EST by Bruno Wolff III
Modified: 2008-02-11 19:20 EST (History)
0 users

See Also:
Fixed In Version: 0.99.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 19:20:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2008-02-10 23:48:09 EST
Description of problem:
The following is what I got after a yum upgrade from 0.99.1 to 0.99.1-1 wasn't
completed because of a script failure. I eventually ran with --noscripts to get
rid of 0.99.1 from the rpm database. However even doing a forced upgrade of 
0.99.1-1 with itself results in an error.

[root@bruno Packages]# rpm -Uvh --force imsettings-0.99.1-1.fc9.i386.rpm
Preparing...                ########################################### [100%]
   1:imsettings             ########################################### [100%]
/var/tmp/rpm-tmp.28603: line 3: 25333 Aborted                 imsettings-reload
-f > /dev/null 2>&1

(imsettings-reload:25335): IMSettings-CRITICAL **: imsettings_request_new:
assertion `connection != NULL' failed

(imsettings-reload:25335): IMSettings-CRITICAL **: imsettings_request_new:
assertion `connection != NULL' failed

(imsettings-reload:25335): IMSettings-CRITICAL **: imsettings_request_new:
assertion `connection != NULL' failed

(imsettings-reload:25335): IMSettings-CRITICAL **: imsettings_request_reload:
assertion `IMSETTINGS_IS_REQUEST (imsettings)' failed

(imsettings-reload:25335): IMSettings-CRITICAL **: imsettings_request_reload:
assertion `IMSETTINGS_IS_REQUEST (imsettings)' failed

(imsettings-reload:25335): IMSettings-CRITICAL **: imsettings_request_reload:
assertion `IMSETTINGS_IS_REQUEST (imsettings)' failed
Reloaded.

(imsettings-reload:25335): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(imsettings-reload:25335): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(imsettings-reload:25335): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed
process 25335: arguments to dbus_connection_unref() were incorrect, assertion
"connection != NULL" failed in file dbus-connection.c line 2613.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace
/var/tmp/rpm-tmp.14371: line 5: 25335 Aborted                 imsettings-reload -f
error: %postun(imsettings-0.99-1.fc9.i386) scriptlet failed, exit status 134

Here is what I get when I try to do a forced replacement.
[root@cerberus Packages]# rpm -Uvh --force imsettings-0.99.1-1.fc9.i386.rpm
Preparing...                ########################################### [100%]
   1:imsettings             ########################################### [100%]
/var/tmp/rpm-tmp.67651: line 3:  8579 Aborted                 imsettings-reload
-f > /dev/null 2>&1

Version-Release number of selected component (if applicable):
0.99.1-1

How reproducible:
100%

Steps to Reproduce:
1. Install imsettings-0.99.1
2. rpm -Uvh imsettings-0.99.1-1.fc9.i386.rpm
3.
  
Actual results:
Scripting errors as noted above.

Expected results:
Clean upgrade.

Additional info:
Comment 1 Akira TAGOH 2008-02-11 19:20:31 EST
Yes, that issue may be likely if you don't have any session bus. and 0.99.1-1
has a workaround for that though I can't do anything for the older scriptlet and
--noscripts is the right thing to do avoid it.

Note You need to log in before you can comment on or make changes to this bug.